package de.hft.geotime.entities;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.type.TimeType;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToOne;
import java.time.Duration;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Entity
public class TimeRecord {
    @Id
    private long id;
    @OneToOne
    private TimetrackAccount account;
    private Date startdate;
    private Date enddate;
    private Duration time;
    private RecordType type;
}
